<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.mosty.sjzx.mapper.TbJqDzMapper">

    <insert id="insertEntity">
        insert into tb_jq_dz(
                id,jq_id,dztz_sj,dztz_ryid,dztz_rysfzh,dztz_ryxm,jd,wd,zb,zbhash,dzxzqh,dz,tp_id,
                ssbm, ssbmdm, ssxgaj, ssxgajdm, sssgaj, sssgajdm, xt_sjly, xt_sjzt, xt_scbz,
                xt_cjip, xt_cjsj, xt_cjr_id, xt_cjr, xt_cjbmdm, xt_cjbmmc, xt_zhgxip, xt_zhgxsj,
                xt_zhgxrid, xt_zhgxr, xt_zhgxbmdm, xt_zhgxbm, bz
                )values (
                #{id},#{jqId},#{dztzSj},#{dztzRyid},#{dztzRysfzh},#{dztzRyxm},#{jd},#{wd},
                ST_GEOMFROMTEXT(#{zb,typeHandler = com.mosty.base.feign.handle.PolygonTypeHandler}),
                #{zbhash},#{dzxzqh},#{dz},#{tpId},
                #{ssbm}, #{ssbmdm}, #{ssxgaj}, #{ssxgajdm},
                #{sssgaj}, #{sssgajdm}, #{xtSjly}, #{xtSjzt}, #{xtScbz}, #{xtCjip}, #{xtCjsj}, #{xtCjrId}, #{xtCjr},
                #{xtCjbmdm}, #{xtCjbmmc}, #{xtZhgxip},
                #{xtZhgxsj}, #{xtZhgxrid}, #{xtZhgxr}, #{xtZhgxbmdm}, #{xtZhgxbm}, #{bz}
        )
    </insert>
</mapper>